Skip to main content
POST
/
reports
/
token
Generate a token report
curl --request POST \
  --url https://api.breezing.io/v1/reports/token \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "dateFrom": 1,
  "dateTo": 1,
  "description": "<string>",
  "tokens": [
    "<string>"
  ],
  "wallets": [
    123
  ],
  "includeSlippage": true,
  "isPerWallet": true
}
'
import requests

url = "https://api.breezing.io/v1/reports/token"

payload = {
"name": "<string>",
"dateFrom": 1,
"dateTo": 1,
"description": "<string>",
"tokens": ["<string>"],
"wallets": [123],
"includeSlippage": True,
"isPerWallet": True
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
dateFrom: 1,
dateTo: 1,
description: '<string>',
tokens: ['<string>'],
wallets: [123],
includeSlippage: true,
isPerWallet: true
})
};

fetch('https://api.breezing.io/v1/reports/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "reportId": 123,
    "taskId": 123
  }
}
{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}

Query Parameters

orgId
string
required

Organization ID. Use GET /v1/companies to discover available org/company pairs.

Example:

"1"

companyId
string
required

Company ID. Use GET /v1/companies to discover available companies and their access levels.

Example:

"1"

Body

application/json
name
string
required

Report name shown in the reports list.

Required string length: 1 - 200
dateFrom
integer
required

Period start (unix ms).

Required range: x > 0
dateTo
integer
required

Period end (unix ms). Must be >= dateFrom.

Required range: x > 0
description
string

Optional free-text description.

Maximum string length: 2000
tokens
string[]

Token symbols to include (max 500), e.g. from GET /assets. Omit or pass [] to include ALL of the company's non-spam tokens.

Maximum array length: 500
wallets
integer[]

Wallet IDs to include (from GET /wallets). Omit or pass [] to include ALL of the company's wallets.

Maximum array length: 500
includeSlippage
boolean

When true, the report adds the slippage fiat amount to closing balances. Ignored (dropped) in per-wallet mode, matching the dashboard.

isPerWallet
boolean

When true AND more than one wallet is covered, generates one combined report with a per-wallet breakdown (one generation job per wallet). With a single wallet it falls back to a regular report, matching the dashboard.

Response

Report generation queued

success
enum<boolean>
required
Available options:
true
data
object
required
Last modified on July 10, 2026